    .chat-thread-link {
        display: flex !important;
        justify-content: space-between;
        align-items: center;
    }

    .chat-title {
        flex: 1;
        /* take remaining space */
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .ellipsis-wrapper {
        margin-right: 5px;
        margin-left: 8px;
        font-size: 18px;
        cursor: pointer;
        position: relative;
        width: 32px;
        height: 32px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 50%;
        transition: background-color 0.2s ease;
    }

    .ellipsis-wrapper:hover {
        background-color: rgba(0, 0, 0, 0.08);
    }

    .ellipsis-menu {
        display: none;
        position: absolute;
        right: 0;
        top: 28px;
        background: #4b4848;
        min-width: 160px;
        border-radius: 8px;
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
        border: 1px solid #ccc;
        z-index: 1000;
        padding: 5px 0;
    }

    .ellipsis-menu-item {
        padding: 6px 12px;
        font-size: 14px;
        color: #ccc;
        cursor: pointer;
        white-space: nowrap;
    }

    .ellipsis-menu-item:hover {
        background-color: #878383;
        color: aliceblue;
    }

    .ellipsis-menu-item {
        display: flex;
        justify-content: space-between;
        /* pushes text left and icon right */
        align-items: center;
        /* vertically center them */
        gap: 8px;
        /* optional: spacing between text and icon */
        padding: 5px 10px;
        /* optional: adjust padding */
    }

    .ellipsis-menu-item span {
        flex: 1;
        /* ensures text takes left space */
    }

    .ellipsis-menu-item i {
        flex-shrink: 0;
        /* prevents icon from shrinking */
    }



    .chat-thread-title-edit {
        background-color: #444;
        color: aliceblue;
    }


    .chat-thread-link.active .chat-thread-title {
        font-weight: 600;
        color: white;
    }